%define module_name Mail-URLFor
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Filter/signatures.pm) perl(Module/Pluggable.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/Escape.pm) perl(URI/mid.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Create deep links into mail clients
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module allows you to create (clickable) URLs to emails that
will open in the respective (native) client or Gmail.

This is useful if you have a web application but still want to connect
an object on the web page with an email in a local mail client.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.mkdn README Changes
%perl_vendor_privlib/M*

%changelog
* Sun May 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- updated by package builder

* Fri May 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

